%define upstream_name    POE-Test-Loops
%define upstream_version 1.353
%define _provides_exceptions perl(Switch)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Reusable tests for POE::Loop authors
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/POE/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildArch:  noarch

%description
POE::Test::Loops contains one function, generate(), which will generate all
the loop tests for one or more POE::Loop subclasses.

The the /SYNOPSIS manpage example is a version of the poe-gen-tests
manpage, which is a stand-alone utility to generate the actual tests. the
poe-gen-tests manpage also documents the POE::Test::Loops system in more
detail.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%makeinstall_std

%files
%doc CHANGES LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{_mandir}/man1/poe-gen-tests.1*
%{perl_vendorlib}/POE
%{_bindir}/poe-gen-tests

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 1.353.0-2.mga4
+ Revision: 537402
- Mageia 4 Mass Rebuild

* Thu Sep 26 2013 sander85 <sander85> 1.353.0-1.mga4
+ Revision: 486908
- update to 1.353

* Tue Aug 20 2013 sander85 <sander85> 1.352.0-1.mga4
+ Revision: 468554
- update to 1.352

* Tue Apr 16 2013 guillomovitch <guillomovitch> 1.351.0-3.mga3
+ Revision: 410214
- don't provide perl(Switch)

* Sun Jan 13 2013 umeabot <umeabot> 1.351.0-2.mga3
+ Revision: 371327
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 1.351.0-1.mga3
+ Revision: 255282
- update to 1.351

* Fri Dec 16 2011 kharec <kharec> 1.350.0-1.mga2
+ Revision: 182569
- update to 1.350

* Wed Jun 15 2011 jquelin <jquelin> 1.312.0-1.mga2
+ Revision: 107279
- update to 1.312

* Wed Feb 16 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 52648
- update to 1.040

* Fri Jan 21 2011 jquelin <jquelin> 1.36.0-1.mga1
+ Revision: 28709
- mageia rebuild
- imported package perl-POE-Test-Loops

